Skip to main content
GET
/
defects
/
stream
Stream DVIR defects.
curl --request GET \
  --url https://api.samsara.com/defects/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "comment": "Engine failure.",
      "dvirId": "292371177",
      "id": "9700544",
      "isResolved": true,
      "createdAtTime": "2020-01-27T07:06:25Z",
      "defectPhotos": [
        {
          "createdAtTime": "2020-01-27T07:06:25Z",
          "url": "https://s3.samsara.com/samsara-driver-media-upload/defect-photo-path"
        }
      ],
      "defectTypeId": "25d6151e-29b5-453e-875a-7c5425332e09",
      "mechanicNotes": "Broken passenger side window.",
      "resolvedAtTime": "2020-01-27T07:06:25Z",
      "resolvedBy": {
        "id": "8172",
        "name": "Jane Mechanic",
        "type": "mechanic"
      },
      "trailer": {
        "externalIds": {},
        "id": "494123"
      },
      "updatedAtTime": "2020-01-27T07:06:25Z",
      "vehicle": {
        "externalIds": {},
        "id": "494125"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:200

The limit for how many objects will be in the response. Default and max for this value is 200 objects.

Required range: 1 <= x <= 200
startTime
string
required

Required RFC 3339 timestamp to begin the feed or history by updatedAtTime at startTime.

endTime
string

Optional RFC 3339 timestamp. If not provided then the endpoint behaves as an unending feed of changes.

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

isResolved
boolean

Boolean value for whether filter defects by resolved status.

Response

OK response.

data
object[]
required

List of DVIR defects.

pagination
object
required

Pagination parameters.